RRDDUMP(1)

NAME
rrddump - dump the contents of an RRD to XML format

SYNOPSIS
rrdtool dump filename.rrd [filename.xml] [--header|-h {none,xsd,dtd}] [--no-header] [--daemon address] > filename.xml

DESCRIPTION
The dump function writes the contents of an RRD in human readable (?) XML format to a file or to stdout. This format can be read by rrdrestore. Together they allow you to transfer your files from one computer architecture to another as well to manipulate the contents of an RRD file in a somewhat more convenient manner.

filename.rrd
    The name of the RRD you want to dump.

filename.xml
    The (optional) filename that you want to write the XML output to. If not specified, the XML will be printed to stdout.

--header|-h {none,xsd,dtd}
    By default RRDtool will add a dtd header to the xml file. Here you can customize this to and xsd header or no header at all.

--no-header
    A shortcut for --header=none.

    If you want to restore the dump with RRDtool 1.2 you should use the --no-header option since 1.2 can not deal with xml headers.

--daemon address
    Address of the rrdcached daemon. If specified, a "flush" command is sent to the server before reading the RRD files. This allows rrdtool to return fresh data even if the daemon is configured to cache values for a long time. For a list of accepted formats, see the -l option in the rrdcached manual.

     rrdtool dump --daemon unix:/var/run/rrdcached.sock /var/lib/rrd/foo.rrd

EXAMPLES
To transfer an RRD between architectures, follow these steps:

1.  On the same system where the RRD was created, use rrdtool dump to export the data to XML format.

2.  Transfer the XML dump to the target system.

3.  Run rrdtool restore to create a new RRD from the XML dump. See rrdrestore for details.

ENVIRONMENT VARIABLES
The following environment variables may be used to change the behavior of "rrdtool dump":

RRDCACHED_ADDRESS
    If this environment variable is set it will have the same effect as specifying the "--daemon" option on the command line. If both are present, the command line argument takes precedence.

AUTHOR
Tobias Oetiker <tobi@oetiker.ch>